Loading...
Searching...
No Matches
snd_tplg_stream_template Struct Reference
Topology Interface

Stream configurations. More...

`#include <topology.h>`

## Data Fields

const char * | name
int | format
int | rate
int | period_bytes
int | buffer_bytes
int | channels

## Detailed Description

Stream configurations.

## Field Documentation

## buffer_bytes

int snd_tplg_stream_template::buffer_bytes

size of buffer in bytes.

## channels

int snd_tplg_stream_template::channels

number of channels

## format

int snd_tplg_stream_template::format

SNDRV_PCM_FMTBIT_*

## name

const char* snd_tplg_stream_template::name

name of the stream config

## period_bytes

int snd_tplg_stream_template::period_bytes

size of period in bytes

## rate

int snd_tplg_stream_template::rate

SNDRV_PCM_RATE_*

The documentation for this struct was generated from the following file:

- /build/alsa-lib-5UW3AQ/alsa-lib-1.2.15.3/include/topology.h